﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification\ 
for details on configuring this project to bundle and minify static web assets. */

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

body {
    font-size: 0.875rem;
}

/*banner*/
.error {
    color: red;
}

.left {
    float: left;
}

.right {
    float: right;
}

    .right > .form-row {
        flex: 1 1 auto;
    }

.leftmargin {
    margin-left: 20px;
}


.rightmargin {
    margin-right: 20px;
}

.topmargin {
    margin-top: 20px;
}

.bottommargin {
    margin-bottom: 20px;
}

.btnCreate {
    margin-top: 10px;
    margin-bottom: 10px;
}

.menubar {
    text-align: left;
    font-size: 1rem;
    min-width: 15rem;
    max-width: 15rem;
}

/* width */
.customscroll::-webkit-scrollbar {
    width: 10px;
}
/* Track */
.customscroll::-webkit-scrollbar-track {
    background: #ebebeb;
}
/* Handle */
.customscroll::-webkit-scrollbar-thumb {
    background: #0050B4;
    border-radius: 10px;
}
    /* Handle on hover */
    .customscroll::-webkit-scrollbar-thumb:hover {
        background: #007bff;
    }

.menu .LOGO {
    background: url(../images/LOGO_inverse.svg) center/80% no-repeat white;
    /*background: url(../images/LOGO.png) center center no-repeat white;*/
    background-size: contain;
    height: 3rem;
    /*max-width: 14rem;*/
    display: flex;
    justify-content: flex-end;
}

/*.menu .LOGO:hover:after{
    content:'<';
    align-self:center;
}*/

.menubar .subtitle {
    /*cursor:pointer;*/
    filter: brightness(0.95);
}

    .menubar .subtitle:not(.collapsed) {
        /*box-shadow: 0px 2px 5px 2px #0000001f;*/
    }

    .menubar .subtitle:after {
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: "\f077";
        position: absolute;
        right: 1rem;
        top: .5rem;
    }

    .menubar .subtitle.collapsed:after {
        content: "\f078";
    }

.menubar .submenu {
    background: rgba(0,0,0,0.08);
    border-left: 5px solid hsla(210,100%,50%, 0.5);
}

.menubar .dropdown-item.subtitle:focus,
.menubar .dropdown-item.subtitle:hover {
    background-color: transparent;
}

.menubar .dropdown-item {
    padding: .5rem 3rem .5rem 1.5rem;
}

    .menubar .dropdown-item:focus, .menubar .dropdown-item:hover {
        background-color: rgba(0,0,0,0.1);
        color: black;
    }

.menubar a {
    white-space: nowrap;
}

.menubar .selected {
    /*filter: hue-rotate( 45deg ) saturate(0.4);*/
    background-color: hsla(210,100%,85%,0.4);
}

.menubar .nopermission {
    position: relative;
}

    .menubar .nopermission a, .menubar .nopermission a:hover, .menubar .nopermission a:active, .menubar .nopermission a:visited {
        color: red;
    }

    .menubar .nopermission:after {
        color: red;
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: "\f05e";
        position: absolute;
        right: 1rem;
        top: .5rem;
    }

/*.menubar .item:not(.selected):focus, .menubar .item:not(.selected):hover {
    box-shadow: inset 0 3px 3px -1px black;
}
.menubar .selected {
    box-shadow: inset 0 3px 3px -1px #0050b4;
}*/
/*h3#title > span {
    vertical-align: bottom;
}
h3#title>span:not(:last-child):after{
    content: "> "
}
h3#title > span:not(:first-child){
    font-size: .8em;
}*/
.brokername {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    background-color: #0050B4;
}

    .brokername .dropdown-item:focus, .brokername .dropdown-item:hover {
        background-color: black;
    }

.previewbtn {
    text-decoration: underline;
    color: blue;
}

.header-btn {
    margin-bottom: 10px;
}

.pointer {
    cursor: pointer;
}

.data {
    margin-bottom: 10px;
}

.half {
    width: 50%;
}

.left {
    float: left;
}
/*banner reorder*/
.reorder_wrapper {
    padding: 1rem .5rem;
    margin-top: .5rem;
    margin-bottom: .5rem;
}

.isOdd {
    background-color: rgba(0,0,0,.05);
}

.reorder_item {
    height: 49px;
    padding-left: 12px;
    line-height: 49px;
    border: 1px solid rgb(222, 226, 230);
    margin-top: 5px;
    margin-bottom: 5px;
    cursor: pointer;
}

.ghost {
    opacity: .5;
    background: #007bff;
}
/*login*/
.login_wrapper {
    margin: 25vh auto 0 auto;
    display: table;
    border-radius: 1em;
}

    .login_wrapper label {
        width: 8em;
    }
/*deposit*/
.deposit_image_wrapper .image_border {
    border: 1px solid grey;
    border-radius: 10px;
}

.deposit_image_wrapper img {
    width: 80%;
    padding: 10px;
}

.deposit_image_wrapper .title {
    font-size: 15px;
    padding-left: 10px;
}

.arrow_up {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 5px solid silver;
    position: relative;
    right: 0px;
    top: -3px;
}

.arrow_down {
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid silver;
    position: relative;
    right: 0px;
    top: 0px;
}

.arrow_up_black {
    border-bottom: 5px solid black;
}

.arrow_down_black {
    border-top: 5px solid black;
}

.table_btn_wrapper {
    margin: 5px;
    position: relative;
    top: 0px;
}

.langoption {
    display: inline-block;
    margin-bottom: 10px;
}

    .langoption.notPublished, .langoption.Expired, .langoption.Disabled {
        pointer-events: none;
        border-color: currentColor;
        opacity: 0.6;
    }

        .langoption.notPublished label {
            color: darkgoldenrod;
        }

            .langoption.notPublished label::after {
                content: ' (not Ready)';
            }

        .langoption.Expired label {
            color: darkgreen;
        }

            .langoption.Expired label::after {
                content: ' (Expired)';
            }

        .langoption.Disabled label {
            color: darkblue;
        }

            .langoption.Disabled label::after {
                content: ' (Disabled)';
            }

    .langoption input {
        display: none;
    }

    .langoption label {
        padding: .375rem .75rem;
        margin: 0 5px;
        text-align: center;
        border: 1px solid #ced4da;
        border-radius: .25rem;
        cursor: pointer;
        transaction-duration: .5s;
    }

        .langoption label:hover {
            background-color: rgb(0 123 255 / 10%);
            color: black;
        }

    .langoption input:checked ~ label {
        background-color: #007bff;
        color: white;
        box-shadow: 0 0 0 0.1rem rgb(38 143 255 / 50%);
    }

div:not(.urlfield) > .langoption input ~ label:before {
    font-family: 'Font Awesome 5 Free';
    font-weight: 400;
    content: "\f111";
    padding-right: 0.2rem;
    opacity: 0.3;
}

div:not(.urlfield) > .langoption input:checked ~ label:before {
    content: "\f058";
    opacity: 1;
    text-shadow: 1px 1px 0 black;
}

.urlfield .langoption input:checked ~ label {
    box-shadow: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    min-width: 5.5em;
    background-color: transparent;
    color: black;
}

.urlfield input, .urlvalues select {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.custom-select.empty {
    color: darkgray;
}

.custom-select option {
    color: black;
}

select[readonly] {
    pointer-events: none;
}
/*#option_type{
        filter: saturate(0.75);
    }
    #option_lang{
        filter: saturate(0.75) hue-rotate(30deg);
    }
    #option_status{
        filter: saturate(0.75) hue-rotate(90deg);
    }
    #option_pages{
        filter: saturate(0.75) hue-rotate(120deg);
    }*/
#option_type:hover, #option_lang:hover, #option_status:hover, #option_pages:hover {
    /*filter:hue-rotate(45deg);*/
    box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}

.langoption input[type=checkbox]:not(:checked) + label:hover,
.langoption input[type=radio]:not(:checked) + label:hover {
    box-shadow: inset 1px 1px 0px 1px #0050b4;
}

.form-control-lg .custom-control-label::before, .form-control-lg .custom-control-label::after {
    top: 0.5rem;
}

.message.mcontainer {
    border: 1px solid black;
    border-bottom-width: 0px;
    border-radius: .25rem;
}

.message {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid black;
}

    .message:before {
        content: attr(tag);
        background-color: #505050a3;
        color: white;
        padding: 0 .25rem;
        flex: 0 0 auto;
        white-space: nowrap;
        width: auto;
    }

    .message.url {
        user-select: all;
    }

.mcontainer:before {
    background-color: #50505053;
}

.message > div {
    background-color: white;
    flex: 1 1 auto;
    max-width: 70vw;
    word-break: break-all;
    white-space: pre-wrap;
}

.message:not(.mcontainer) > div {
    padding-left: .25rem;
    max-height: 8em;
    overflow: auto;
}

.message:not(.mcontainer):before {
    min-width: 7em;
    max-width: 7em;
}

.hide {
    display: none;
}

.table.dataTable thead th {
    vertical-align: top;
}

.input-group-text {
    min-width: 3em;
    justify-content: center;
}

label#file-name {
    padding: 6px 12px;
}

.typeoption {
    pointer-events: none;
}

.langoption input ~ .typeoption {
    display: none;
}

.langoption input:checked ~ .typeoption {
    display: block;
}

input[type="file"] {
    display: none;
}

.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}

.fileinput {
    align-items: flex-start;
}

input[type=file] ~ label:empty:after {
    color: red;
    content: '*file required';
}

.input-group-text, .form-check-label {
    user-select: none;
}

table.dataTable thead .sorting:before, table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:before, table.dataTable thead .sorting_asc_disabled:before, table.dataTable thead .sorting_desc_disabled:before {
    right: 10px;
    font-size: 20px;
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f0de";
    color: #dee2e6;
    opacity: 1;
}

table.dataTable thead .sorting:after, table.dataTable thead .sorting_asc:after, table.dataTable thead .sorting_desc:after, table.dataTable thead .sorting_asc_disabled:after, table.dataTable thead .sorting_desc_disabled:after {
    right: 10px;
    font-size: 20px;
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f0dd";
    color: #dee2e6;
    opacity: 1;
}

table.dataTable thead .sorting_asc:before, table.dataTable thead .sorting_desc:after {
    color: #007bff;
    opacity: 1;
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child, table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child {
    cursor: default;
}

    table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child:before, table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child:before {
        margin-left: 0.25rem;
        cursor: pointer;
    }

@media screen and (max-width: 500px), print {
    .menu {
        position: absolute;
        left: 20px;
        top: .25rem;
        max-width: 2.5rem;
        max-height: 2.5rem;
        overflow: hidden !important;
        z-index: 2000;
        transform-origin: 0 0;
        display: flex;
        flex-direction: column;
    }

        .menu.shadow {
            box-shadow: none !important;
        }

        .menu.bg-white {
            background-color: transparent !important;
        }

        .menu .LOGO {
            background-image: url('../UploadFolder/Images/PushAttachment/LOGO.png');
            max-height: 2.5rem;
            max-width: 2.5rem;
            flex-shrink: 0;
        }

    .menubar {
        overflow: auto;
        background-color: white;
    }

    .menu:hover {
        max-width: 80vw;
        max-height: 90vh;
        left: 0;
        overflow: auto !important;
    }

        .menu:hover .LOGO {
            margin-left: 20px;
        }

    .fh_parent {
        overflow: visible !important;
    }

    .attachmentdetail .detail {
        display: inline !important;
    }
}

.pushtext[maxlength]:after {
    content: attr(count)' / 'attr(maxlength);
    flex-basis: 100%;
    text-align: right;
    padding-right: .25rem;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: white;
}

.table-striped tbody tr:hover {
    background-color: rgba(0,0,0,0.1) !important;
    box-shadow: -2px -2px 2px 0px rgba(0,0,0,0.1) inset, 2px 2px 2px 0px #FFFFFFAA inset;
}

.table-striped tbody tr.parent, table.dataTable > tbody > tr.child, table.dataTable > tbody > tr.child:hover {
    background-color: hsla(210,100%,85%,0.4) !important;
    box-shadow: -2px -2px 2px 0px #FFFFFFAA inset, 2px 2px 2px 0px rgba(0,0,0,0.1) inset;
}

    .table-striped tbody tr:hover td, .table-striped tbody tr.parent td {
        border-color: rgba(0,0,0,0.15);
        border-top-color: transparent;
    }

.pointer {
    padding: 0.25rem;
}

    .pointer:hover {
        background-color: #007bff88;
        border-radius: 5px;
    }
/*https://segmentfault.com/a/1190000019379527*/
label + .switch {
    margin-left: 1em;
}

.cmn-toggle {
    position: absolute;
    margin-left: -9999px;
    visibility: hidden;
}

    .cmn-toggle + label {
        display: block;
        position: relative;
        cursor: pointer;
        outline: none;
        user-select: none;
    }

input.cmn-toggle-round + label {
    padding: 2px;
    width: 4em;
    height: 2em;
    background-color: #dddddd;
    border-radius: 60px;
}

    input.cmn-toggle-round + label:before, input.cmn-toggle-round + label:after {
        display: block;
        position: absolute;
        top: 1px;
        left: 1px;
        bottom: 1px;
        content: "";
    }

    input.cmn-toggle-round + label:before {
        right: 1px;
        background-color: #f1f1f1;
        border-radius: 1em;
        transition: background 0.4s;
    }

    input.cmn-toggle-round + label:after {
        width: 50%;
        background-color: #fff;
        border-radius: 100%;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
        transition: margin 0.4s;
        content: "No";
        line-height: 1.8em;
        text-align: center;
    }

input.cmn-toggle-round:checked + label:before {
    background-color: #0050B4;
}

input.cmn-toggle-round:checked + label:after {
    margin-left: 50%;
    content: "Yes";
    color: #0050B4;
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1000; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
    background-color: #fefefe;
    width: 400px;
    padding: 0 10px 10px;
    position: absolute;
    top: 30%;
    left: 50%;
    border: 1px solid #888;
    transform: translate(-50%, -50%);
}

.modal.show {
    display: flex;
    padding-top: 10vh;
    flex-direction: column;
    align-items: center;
}

.modal-content {
    position: relative;
    top: auto;
    left: auto;
    transform: none;
    max-height: 80vh;
    width: 60vw;
    max-width: 600px;
    overflow: auto;
    display: flex;
    flex-direction: column;
}

    .modal-content > div {
        display: flex;
        flex-direction: column;
        overflow: auto;
    }

.forget_pasword_close {
    color: #aaaaaa;
    float: right;
    /*margin-right: 5px;*/
    padding-right: 5px;
    font-size: 28px;
    font-weight: bold;
    background-color: rgba(0,0,0,0);
    transition-property: background-color;
    transition-duration: 0.5s;
    transition-timing-function: ease-out;
}

    .forget_pasword_close:hover, .forget_pasword_close:focus {
        color: #000;
        background-color: rgba(0,0,0,0.2);
        text-decoration: none;
        cursor: pointer;
    }

.apiinfo {
    width: calc(100% - 40px) !important;
    margin-left: 20px !important;
}

    .apiinfo .requiredfield:before {
        content: 'Required Field ' attr(hint);
        background-color: darkgray;
        display: block;
    }

    .apiinfo .optionalfield:before {
        content: 'Optional Field';
        background-color: lightgray;
        display: block;
    }

    .apiinfo .optionalfield[hint]:before {
        content: ' Optional Field (' attr(hint) ')';
    }

    .apiinfo .anyof:before {
        content: 'Either one of';
        background-color: lightgreen;
        display: block;
    }

    .apiinfo .anyof > div:hover, fieldset.anyof:hover {
        background-color: hsla(210,100%,85%,0.2);
    }

    .apiinfo .both:before {
        content: 'Should be provided together';
        background-color: lightgray;
        display: block;
    }

    .apiinfo div.param {
        padding-left: 1em;
    }

        .apiinfo div.param:before {
            content: attr(type) ' ';
            color: deeppink;
        }

        .apiinfo div.param[default]:after {
            content: ' (Default: ' attr(default) ' )';
            color: orangered;
        }

        .apiinfo div.param.values:after {
            content: ' (Values acceptable: ' attr(values) ' )';
            color: darkgreen;
        }

        .apiinfo div.param[hint]:after {
            content: ' (Values acceptable: ' attr(hint) ' )';
            color: darkgreen;
        }

.hr-mid-border-content {
    color: #a2a9b6;
    border: 0;
    font-size: 12px;
    padding: 1.2em 0;
    margin: 0;
    position: relative;
    overflow: hidden;
}

    .hr-mid-border-content::before {
        content: attr(data-content);
        position: absolute;
        padding: 0 1ch;
        line-height: 1px;
        border: solid black;
        border-width: 0 99vw;
        width: fit-content;
        white-space: nowrap;
        left: 50%;
        transform: translateX(-50%);
    }

    .hr-mid-border-content::after {
        content: attr(data-content);
        position: absolute;
        padding: 4px 1ch;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: black;
        border: 1px solid black;
    }

.modal-content ::placeholder {
    opacity: 0.6;
    text-align: right;
}
